Subject: Re: Custom subcommand help handlers

From: Sean Allred <[email-masked]>
Date: Sat, 12 Feb 2022 16:23:52 -0600

> I think you might need to be a bit more careful than just looking whether
> the command in question is a built-in or not. It could be delivered as a
> script or executable inside `libexec/git-core`.

I apologize, yes -- I used 'built-in' as a synonym for 'distributed with
Git', but this of course is not how this project uses the term :-)

> Of course, this might break existing users' setups where they ship a Git
> command together with a manual page.
>
> A potential remedy against that would be, as you say, a config option.
> Maybe defaulting to the manual page if `help.format` is `man`, otherwise
> defaulting to passing `--help` to the command.

It's worth noting that Git for Windows does not distribute a
manpage-viewer :-(

--
Sean Allred